%define upstream_name    RRDTool-OO
%define upstream_version 0.36

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Object-oriented interface to RRDTool
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/RRDTool/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Log::Log4perl) >= 0.400.0
BuildRequires: perl(RRDs)
BuildRequires: perl(Storable)
BuildArch:  noarch

%description
'RRDTool::OO' is an object-oriented interface to Tobi Oetiker's round robin
database tool _rrdtool_. It uses _rrdtool_'s 'RRDs' module to get access to
_rrdtool_'s shared library.

'RRDTool::OO' tries to marry _rrdtool_'s database engine with the
dwimminess and whipuptitude Perl programmers take for granted. Using
'RRDTool::OO' abstracts away implementation details of the RRD engine, uses
easy to memorize named parameters and sets meaningful defaults for
parameters not needed in simple cases. For the experienced user, however,
it provides full access to _rrdtool_'s API (if you find a feature that's
not implemented, let me know).

FUNCTIONS
    * _my $rrd = RRDTool::OO->new( file => $file )_

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sat Feb 15 2020 umeabot <umeabot> 0.360.0-6.mga8
+ Revision: 1529408
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tv <tv> 0.360.0-5.mga8
+ Revision: 1433283
- rebuild with perl-5.30

* Wed Sep 19 2018 umeabot <umeabot> 0.360.0-4.mga7
+ Revision: 1270999
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.360.0-3.mga6
+ Revision: 1032977
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.360.0-2.mga6
+ Revision: 967812
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 0.360.0-1.mga6
+ Revision: 850339
- update to 0.36

* Wed Oct 15 2014 umeabot <umeabot> 0.350.0-3.mga5
+ Revision: 747299
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.350.0-2.mga5
+ Revision: 686079
- Mageia 5 Mass Rebuild

* Mon Jul 21 2014 sander85 <sander85> 0.350.0-1.mga5
+ Revision: 655126
- update to 0.35

* Fri Jun 27 2014 sander85 <sander85> 0.340.0-1.mga5
+ Revision: 640353
- update to 0.34

* Sat Oct 19 2013 umeabot <umeabot> 0.330.0-2.mga4
+ Revision: 529507
- Mageia 4 Mass Rebuild

* Tue Jul 09 2013 sander85 <sander85> 0.330.0-1.mga4
+ Revision: 452045
- update to 0.33

* Sun Jan 13 2013 umeabot <umeabot> 0.320.0-2.mga3
+ Revision: 372187
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Mar 30 2012 jquelin <jquelin> 0.320.0-1.mga2
+ Revision: 227568
- imported package perl-RRDTool-OO


* Fri Mar 30 2012 cpan2dist 0.32-1mga
- initial mageia release, generated with cpan2dist
